Ubuntu

gdm: Suppresses X logging with "Too much output"

Reported by Debian Bug Importer on 2005-04-06
30
This bug affects 3 people
Affects Status Importance Assigned to Milestone
gdm
Expired
Low
gdm (Debian)
Confirmed
Unknown
gdm (Ubuntu)
Low
Ubuntu Desktop Bugs

Bug Description

Automatically imported from Debian bug report #303346 http://bugs.debian.org/303346

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #303346 http://bugs.debian.org/303346

Debian Bug Importer (debzilla) wrote :
Download full text (6.2 KiB)

Message-Id: <email address hidden>
Date: Wed, 6 Apr 2005 10:14:52 +0300 (EEST)
From: era eriksson <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: gdm: Suppresses X logging with "Too much output"

Package: gdm
Version: 2.6.0.4-1
Severity: grave
Justification: Discards error output rather than logging as requested

When an X session has been running for a while, I get the message
"...Too much output, ignoring rest..." and then all logging to my
~/.xsession-errors stops.

I googled for this message, and the only relevant hit I got
<http://cvs.gnome.org/viewcvs/gdm2/daemon/slave.c?rev=1.276> suggests
that GDM is responsible for this message.

<http://cvs.gnome.org/viewcvs/gdm2/daemon/gdm.h?rev=1.176> defines
MAX_XSESSION_ERROR_BYTES to be 80*2500 -- I guess that's supposed to
be 2500 lines at full width. (My current .xsession-errors which just
got this message is actually 4422 lines, for comparison, but about
half of those are empty, because many programs seem to include a
spurious newline with each message.)

This limitation seems a bit ill-conceived. I can imagine that it might
be useful to limit the output produced by a runaway process in rapid
succession, but it should still be possible to get log messages from a
process which runs for as long as the computer is up; eventually, if
there are no crashes or power failures, it will produce enough log
messages to exceed whatever limit you come up with.

Still, as a workaround, perhaps the Debian package could make the
limit really large.

In the meantime, feel free to tag this as "upstream" and forwarding it
to the Gnome folks.

Ultimately, the limit should probably be configurable at startup time,
with an option to disable it (perhaps by setting the limit to 0 in the
configuration), and documented.

Thanks in advance for your attention to this,

/* era */

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.27-1-686-smp
Locale: LANG=C, LC_CTYPE=C

Versions of packages gdm depends on:
ii adduser 3.59 Add and remove users and groups
ii debconf 1.4.30.10 Debian configuration management sy
ii dpkg 1.10.23 Package maintenance system for Deb
ii gksu 1.2.2-1 graphical frontend to su
ii gnome-session 2.6.2-6 The GNOME 2 Session Manager
ii gnome-terminal [x-te 2.6.1-6 The GNOME 2 terminal emulator appl
ii libart-2.0-2 2.3.16-6 Library of functions for 2D graphi
ii libatk1.0-0 1.8.0-4 The ATK accessibility toolkit
ii libattr1 2.4.16-1 Extended attribute shared library
ii libaudiofile0 0.2.6-4 Open-source version of SGI's audio
ii libbonobo2-0 2.6.2-7 Bonobo CORBA interfaces library
ii libbonoboui2-0 2.6.1-1 The Bonobo UI library
ii libbz2-1.0 1.0.2-1 A high-quality block-sorting file
ii libc6 2.3.2.ds1-18 GNU C Library: Shared libraries an
ii libc...

Read more...

severity 303346 normal
thanks

On Wed, Apr 06, 2005 at 10:14:52AM +0300, era eriksson wrote:
> Package: gdm
> Version: 2.6.0.4-1
> Severity: grave
> Justification: Discards error output rather than logging as requested

So which part of this "makes the package in question unusable or mostly so,
or causes data loss, or introduces a security hole allowing access to the
accounts of users who use the package"?

Refusing to log information isn't data loss if you never had it in the first
place. Given that there have been RC bugs filed repeatedly in the past
against packages for filing up the user's disk with spurious
.xsession-errors info, this change in GDM sounds to me like a feature, not a
bug...

--
Steve Langasek
postmodern programmer

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 6 Apr 2005 15:19:18 -0700
From: Steve Langasek <email address hidden>
To: era eriksson <email address hidden>, <email address hidden>
Subject: Re: Bug#303346: gdm: Suppresses X logging with "Too much output"

--+g7M9IMkV8truYOl
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

severity 303346 normal
thanks

On Wed, Apr 06, 2005 at 10:14:52AM +0300, era eriksson wrote:
> Package: gdm
> Version: 2.6.0.4-1
> Severity: grave
> Justification: Discards error output rather than logging as requested

So which part of this "makes the package in question unusable or mostly so,
or causes data loss, or introduces a security hole allowing access to the
accounts of users who use the package"?

Refusing to log information isn't data loss if you never had it in the first
place. Given that there have been RC bugs filed repeatedly in the past
against packages for filing up the user's disk with spurious
=2Exsession-errors info, this change in GDM sounds to me like a feature, no=
t a
bug...=20

--=20
Steve Langasek
postmodern programmer

--+g7M9IMkV8truYOl
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFCVGBiKN6ufymYLloRAqX+AJsF3GlOMPt2E2Kfmr02TkF45XMmLQCgtkmJ
qDkEX40gVayFwwOONilb4YY=
=tik/
-----END PGP SIGNATURE-----

--+g7M9IMkV8truYOl--

Sebastien Bacher (seb128) wrote :

not an hoary issue

# Automatically generated email from bts, devscripts version 2.9.7
tags 303346 upstream

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Tue, 6 Sep 2005 03:08:43 -0700
From: Ryan Murray <email address hidden>
To: <email address hidden>
Subject: tagging 303346

# Automatically generated email from bts, devscripts version 2.9.7
tags 303346 upstream

# Automatically generated email from bts, devscripts version 2.10.6
forwarded 303346 http://bugzilla.gnome.org/459293

era (era) wrote :

What's with the "Invalid" status on this one, could it be reopened?

Changed in gdm:
assignee: seb128 → desktop-bugs
importance: High → Low
status: Invalid → Triaged
era (era) wrote :

Thanks

Changed in gdm:
status: Unknown → In Progress

I think it merits consideration to devise a mechanism which
closes and reopens a new error log so that _future_ errors
(i.e. errors which occur after the spamming which caused
.xsession-erros to fill in the first place) could be
captured. As it stands, Gtk+ spams this file with
'XID collision' messages until the log fills up
(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550352_)
and if another component has a problem that actually
causes an error (i.e. browser crash) the user has no idea
clue as to what might have caused it.

Changed in gdm:
status: In Progress → Invalid
Changed in gdm:
importance: Unknown → Low
status: Invalid → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.